## class Dialog : public MWidget

> abstract dialog class.

## Inheritance:

### Public Fields

  static const unsigned | MAXTITLE

### Public Methods

  | Dialog (Widget parent)
  virtual | ~Dialog ()
  const char* | GetClassName ()
  void | Initialize ()
  virtual void | SetOKCallback (XtCallbackProc fun, XtPointer clientData)
  virtual void | SetCancelCallback (XtCallbackProc fun, XtPointer clientData)
  virtual void | SetHelpCallback (XtCallbackProc fun, XtPointer clientData)
  void | SetOKButtonLabel (const char *txt)
  void | SetCancelButtonLabel (const char *txt)
  void | SetHelpButtonLabel (const char *txt)
  void | ManageOKButton (bool)
  void | ManageCancelButton (bool)
  void | ManageHelpButton (bool)
  virtual void | SetAutoDestroy (bool b) delete itself when unmapped.
  virtual void | Popup () pop up dialog.
  virtual void | Popdown () pop down dialog.
  void | SetTitle (const char *title) set title string.
  void | SetTitle (const string *title)
  void | GetTitle (char *title) get title string.
  void | GetTitle (string *title)
  void | SetModal (bool b) make dialog application modal.
  void | SetAutoUnmanage (bool b)
  bool | GetAutoUnmanage ()
  void | SetCenteredOnPointer (bool b)
  static void | UnmanageCB (Widget, XtPointer, XtPointer)
  static void | DestroyCB (Widget, XtPointer, XtPointer)
  static void | DestroyWidgetCB (Widget, XtPointer, XtPointer)
  static void | TraverseNextCB (Widget, XtPointer, XtPointer)
  static void | TraverseNextGroupCB (Widget, XtPointer, XtPointer)

### Protected Methods

  Widget | GetParent ()
  void | ManageWidget (Widget, bool)
  virtual void | CreateWidget ()
  virtual void | Configure ()
  void | ManageCenteredOnPointer ()

### Inherited from MWidget:

### Public Methods

virtual void Manage()
bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
virtual void Unmanage()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> abstract dialog class.

`Dialog(Widget parent)`

`virtual ~Dialog()`

`const char* GetClassName()`

`void Initialize()`

`virtual void SetOKCallback(XtCallbackProc fun, XtPointer clientData)`

`virtual void SetCancelCallback(XtCallbackProc fun, XtPointer clientData)`

`virtual void SetHelpCallback(XtCallbackProc fun, XtPointer clientData)`

`void SetOKButtonLabel(const char *txt)`

`void SetCancelButtonLabel(const char *txt)`

`void SetHelpButtonLabel(const char *txt)`

`void ManageOKButton(bool)`

`void ManageCancelButton(bool)`

`void ManageHelpButton(bool)`

`virtual void SetAutoDestroy(bool b)`
  delete itself when unmapped.

`virtual void Popup()`
  pop up dialog.

`virtual void Popdown()`
  pop down dialog.

`void SetTitle(const char *title)`
  set title string.

`void SetTitle(const string *title)`

`void GetTitle(char *title)`
  get title string.

`void GetTitle(string *title)`

`void SetModal(bool b)`
  make dialog application modal.

`void SetAutoUnmanage(bool b)`

`bool GetAutoUnmanage()`

`void SetCenteredOnPointer(bool b)`

`static void UnmanageCB(Widget, XtPointer, XtPointer)`

`static void DestroyCB(Widget, XtPointer, XtPointer)`

`static void DestroyWidgetCB(Widget, XtPointer, XtPointer)`

`static void TraverseNextCB(Widget, XtPointer, XtPointer)`

`static void TraverseNextGroupCB(Widget, XtPointer, XtPointer)`

`static const unsigned MAXTITLE`

`Widget GetParent()`

`void ManageWidget(Widget, bool)`

`virtual void CreateWidget()`

`virtual void Configure()`

`void ManageCenteredOnPointer()`

Direct child classes:
  TextViewDialog
  TextFieldListDialog
  SelectionDialog
  MessageDialog

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de